| TagLib 1.13 |  |

Public Member Functions | Static Public Member Functions | List of all members
TagLib::Ogg::Speex::File Class Reference

An implementation of Ogg::File with Speex specific methods. More...

`#include <speexfile.h>`

Inheritance diagram for TagLib::Ogg::Speex::File:
[legend]
Collaboration diagram for TagLib::Ogg::Speex::File:
[legend]

## Public Member Functions
| File (FileName file, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
| File (IOStream *stream, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
virtual | ~File ()
virtual Ogg::XiphComment * | tag () const
PropertyMap | properties () const
PropertyMap | setProperties (const PropertyMap &)
virtual Properties * | audioProperties () const
virtual bool | save ()
Public Member Functions inherited from TagLib::Ogg::File
virtual | ~File ()
ByteVector | packet (unsigned int i)
void | setPacket (unsigned int i, const ByteVector &p)
const PageHeader * | firstPageHeader ()
const PageHeader * | lastPageHeader ()
virtual bool | save ()
Public Member Functions inherited from TagLib::File
virtual | ~File ()
FileName | name () const
virtual Tag * | tag () const =0
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
virtual AudioProperties * | audioProperties () const =0
virtual bool | save ()=0
ByteVector | readBlock (unsigned long length)
void | writeBlock (const ByteVector &data)
long | find (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
long | rfind (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, unsigned long start=0, unsigned long replace=0)
void | removeBlock (unsigned long start=0, unsigned long length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (long offset, Position p=Beginning)
void | clear ()
long | tell () const
long | length ()

## Static Public Member Functions
static bool | isSupported (IOStream *stream)
Static Public Member Functions inherited from TagLib::File
static TAGLIB_DEPRECATED bool | isReadable (const char *file)
static TAGLIB_DEPRECATED bool | isWritable (const char *name)

## Additional Inherited Members
Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Protected Member Functions inherited from TagLib::Ogg::File
| File (FileName file)
| File (IOStream *stream)
Protected Member Functions inherited from TagLib::File
| File (FileName file)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (long length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

An implementation of Ogg::File with Speex specific methods.

This is the central class in the Ogg Speex metadata processing collection of classes. It's built upon Ogg::File which handles processing of the Ogg logical bitstream and breaking it down into pages which are handled by the codec implementations, in this case Speex specifically.

## Constructor & Destructor Documentation

## ◆ File() [1/2]

TagLib::Ogg::Speex::File::File | ( | FileName | file,
|  | bool | readProperties = `true`,
|  | Properties::ReadStyle | propertiesStyle = `Properties::Average`
| ) |  |

Constructs a Speex file from file. If readProperties is true the file's audio properties will also be read.

Note
  In the current implementation, propertiesStyle is ignored.

## ◆ File() [2/2]

TagLib::Ogg::Speex::File::File | ( | IOStream * | stream,
|  | bool | readProperties = `true`,
|  | Properties::ReadStyle | propertiesStyle = `Properties::Average`
| ) |  |

Constructs a Speex file from stream. If readProperties is true the file's audio properties will also be read.

Note
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.
  In the current implementation, propertiesStyle is ignored.

## ◆ ~File()

virtual TagLib::Ogg::Speex::File::~File | ( |  | ) |
| virtual

Destroys this instance of the File.

Reimplemented from TagLib::Ogg::File.

## Member Function Documentation

## ◆ audioProperties()

virtual Properties * TagLib::Ogg::Speex::File::audioProperties | ( |  | ) | const
| virtual

Returns the Speex::Properties for this file. If no audio properties were read then this will return a null pointer.

Implements TagLib::File.

## ◆ isSupported()

static bool TagLib::Ogg::Speex::File::isSupported | ( | IOStream * | stream | ) |
| static

Returns whether or not the given stream can be opened as a Speex file.

Note
  This method is designed to do a quick check. The result may not necessarily be correct.

## ◆ properties()

PropertyMap TagLib::Ogg::Speex::File::properties | ( |  | ) | const

Implements the unified property interface – export function. This forwards directly to XiphComment::properties().

## ◆ save()

virtual bool TagLib::Ogg::Speex::File::save | ( |  | ) |
| virtual

Save the file.

This returns true if the save was successful.

Reimplemented from TagLib::Ogg::File.

## ◆ setProperties()

PropertyMap TagLib::Ogg::Speex::File::setProperties | ( | const PropertyMap & |  | ) |

Implements the unified tag dictionary interface – import function. Like properties(), this is a forwarder to the file's XiphComment.

## ◆ tag()

virtual Ogg::XiphComment * TagLib::Ogg::Speex::File::tag | ( |  | ) | const
| virtual

Returns the XiphComment for this file. XiphComment implements the tag interface, so this serves as the reimplementation of TagLib::File::tag().

Implements TagLib::File.

The documentation for this class was generated from the following file:

- speexfile.h